using System;

namespace Telecomunicacao

{
	/// <summary>
	/// Summary description for StatusEnum.
	/// </summary>
	public enum StatusEnum 
	{
		OK					=  1,
		NOT_OK				=  0,
		INVALID_LOGIN		= -1,
		INVALID_KEY			= -2,
		INVALID_CLIENTE_ID	= -3,
		TEM_DEBITOS			= -4,
		CARTAO_JA_ACTIVADO	= -5,
		ERROR				= -6,
		INVALID_ARGUMENT	= -7,
		TIPO_CARTO_INVLIDO= -8,
		ERRO_ESTADO_CARTAO	= -9,
		TARIFA_INVALIDA     = -10,
		DATAHORA_INVALIDA   = -11,
		NRTELEFONE_INVALIDO = -12,
		TARIFARIO_INVALIDO  = -13,
		NRTELEFONE_EMCHAMADA= -14
	}

    public enum TipoUtilizador
    {
        DESCONHECIDO= -1,
        SUPERVISOR  = 0,
        OPERADOR    = 1
    }

    public enum DiaDaSemana
    {
		DOMINGO = 0,
		SEGUNDA = 1,
		TERCA   = 2,
		QUARTA  = 3,
		QUINTA  = 4,
		SEXTA   = 5,
		SABADO  = 6,
		FERIADO = 7
    }

    public enum TipoDeTaxacao
    {
        SEGUNDO = 0,
        MINUTO  = 1
    }

    public enum TipoCartao
    {
        MENSAL = 0,
        RECARREGAVEL = 1
    }

    public enum EstadosCartao
    {
        NO_ATRIBUIDO = 0,
        ACTIVO = 1,
        INACTIVO = 2,
		REMOVIDO = 3
    }

	public enum TiposDocumentos
	{
		FACTURA = 0,
		EXTRACTO = 1
	}

}
